<?php
/**
 * The Header for our theme
 *
 * @package    WordPress
 * @since      1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php if ( get_theme_mod( 'penci_favicon' ) ) : ?>
		<link rel="shortcut icon" href="<?php echo esc_url( get_theme_mod( 'penci_favicon' ) ); ?>" type="image/x-icon" />
		<link rel="apple-touch-icon" sizes="180x180" href="<?php echo esc_url( get_theme_mod( 'penci_favicon' ) ); ?>">
	<?php endif; ?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php bloginfo( 'rss2_url' ); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?> Atom Feed" href="<?php bloginfo( 'atom_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>
	
<!-- Impactify --->
<!-- Format: Impact Screen -->

<script>
window.impactifyTag = window.impactifyTag || [];
impactifyTag.push({
    "appId": "adala-news.fr",
    "format": "screen",
    "style": "impact",
    "onNoAd": function(){}
});
(function(d, s, id) {
    var js, ijs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = 'https://ad.impactify.io/static/ad/tag.js';
    ijs.parentNode.insertBefore(js, ijs);
}(document, 'script', 'impactify-sdk'));
</script>
	
	<!-- Tag Andreamedia --->
	
	<script type="text/javascript">
window._seedtagq = window._seedtagq || [];
window._seedtagq.push(['_setId', '0401-1531-01']);
window._seedtagq.push(['iframe_mode']);
(function () {
var st = document.createElement('script');
st.type = 'text/javascript';
st.async = true;
st.src = ('https:' == document.location.protocol
? 'https'
: 'http') + '://config.seedtag.com/loader.js?v=' + Math.random();
var s = document.getElementsByTagName('script')[0];
s.parentNode.insertBefore(st, s);
})();
</script>

<script type="text/javascript" class="teads" async="true" src="//a.teads.tv/page/117680/tag"></script>
	
	<!-- Tag CultureG -->

<script type="application/javascript" src="//ced.sascdn.com/tag/104/smart.js" async></script>
<script type="application/javascript">
    var sas = sas || {};
    sas.cmd = sas.cmd || [];
    sas.cmd.push(function() {
        sas.setup({ networkid: 104, domain: "//www.smartadserver.com", async: true });
    });
    sas.cmd.push(function() {
        sas.call("onecall", {
            siteId: 37561,
            pageId: document.location.pathname === '/' ? 256213 : 256214,
            formatId: "920,922,1391,32325,928,31712,32033",
            target: ''
        });
    });
</script>


<div id="sas_32325"></div>
<script type="application/javascript">
	sas.cmd.push(function() {
		sas.render("32325"); // Format : Ad Control
	});
</script>


<div id="sas_1391"></div>
<script type="application/javascript">
	sas.cmd.push(function() {
		sas.render("1391"); // Format : Habillage
	});
</script>


<div id="sas_928"></div>
<script type="application/javascript">
	sas.cmd.push(function() {
		sas.render("928"); // Format : Interstitiel
	});
</script>

<body <?php body_class(); ?>>
<?php /* body open action */
if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} else {
    do_action( 'wp_body_open' );
}
?>
<?php
if( get_theme_mod( 'penci_custom_code_after_body_tag' ) ):
	echo do_shortcode( get_theme_mod( 'penci_custom_code_after_body_tag' ) );
endif;
?>
<?php
$penci_hide_header = $show_page_title = false;
if ( is_page() ) {
	$penci_hide_header = get_post_meta( get_the_ID(), 'penci_page_hide_header', true );
	
	$show_page_title = get_theme_mod( 'penci_pheader_show' );
	$penci_page_title = get_post_meta( get_the_ID(), 'penci_pmeta_page_title', true );

	$pheader_show = isset( $penci_page_title['pheader_show'] ) ? $penci_page_title['pheader_show'] : '';
	if(  'enable' == $pheader_show  ) {
		$show_page_title = true;
	}elseif(  'disable' == $pheader_show  ) {
		$show_page_title = false;
	}
}

/**
 * Get header layout in your customizer to change header layout
 *
 * @author PenciDesign
 */
$header_layout  = penci_soledad_get_header_layout();
$menu_style = get_theme_mod( 'penci_header_menu_style' ) ? get_theme_mod( 'penci_header_menu_style' ) : 'menu-style-1';

$header_class = $header_layout;
if( $header_layout == 'header-9' ) {
	$header_class = 'header-6 header-9';
}

if ( get_theme_mod( 'penci_vertical_nav_show' ) ) {
	get_template_part( 'template-parts/menu-hamburger' );
}
get_template_part( 'template-parts/header/vertical-nav' );

$class_wrapper_boxed = 'wrapper-boxed header-style-' . esc_attr( $header_layout );
if ( get_theme_mod( 'penci_body_boxed_layout' ) && ! get_theme_mod( 'penci_vertical_nav_show' ) ) {
	$class_wrapper_boxed .= ' enable-boxed';
}
if ( get_theme_mod( 'penci_enable_dark_layout' ) ) {
	$class_wrapper_boxed .= ' dark-layout-enabled';
}
if ( $penci_hide_header ) {
	$class_wrapper_boxed .= ' penci-page-hide-header';
}
if ( get_theme_mod( 'penci_header_logo_mobile_center' ) ) {
	$class_wrapper_boxed .= ' penci-hlogo-center';
}
?>
<div class="<?php echo esc_attr( $class_wrapper_boxed ); ?>">
<?php
if( ! $penci_hide_header ){

	echo '<div class="penci-header-wrap">';
	get_template_part( 'template-parts/header/top-instagram' );
	if( get_theme_mod( 'penci_top_bar_show' ) ){
		get_template_part( 'inc/modules/topbar' );
	}

	get_template_part( 'template-parts/header/' . $header_layout );
	echo '</div>';

	get_template_part( 'template-parts/header/mailchimp-below-header' );

	if( is_home() || get_theme_mod( 'penci_featured_slider_all_page' ) ) {
		get_template_part( 'template-parts/header/feature-slider' );
	}

	if( ( ( is_home() || is_front_page() ) && get_theme_mod( 'penci_signup_display_homepage' ) ) || ! get_theme_mod( 'penci_signup_display_homepage' ) ){
		get_template_part( 'template-parts/header/mailchimp-below-header2' );
	}
}
if ( $show_page_title && !is_home() && !is_front_page() ) {
	get_template_part( 'template-parts/page-header' );
}
